# backupdb

RU:
-----


* Скрипт на языке bash, для автоматизированных backup баз данных.
* Поддерживаются базы: postgresql, mysql

Праметры скрипта которые необходимо корректировать.
```
## массив имен баз данных
DBDATA=( "base1" "base2" );
## массив пути сохранения бакапов
BACKPATH=( "/backup/db" "/backup/db" );
## массив логинов к базам
LOGINDB=( "dblogin1" "dblogin2" );
## массив паролей
PASSWDB=( "mypassdb1" "mypassdb2" );
## - массив тип базы данных
TYPEDB=( "pgsql" "mysql" )
## массив ip хостов где базы данных
HOSTDB=( "10.1.0.2" "10.1.0.7" )

## массив ip хостов где базы данных
HOSTDB=( "10.1.0.2" "10.1.0.7" )

## Системные параметры
## log file
LOG_FILE="/var/log/syslog.log";
# - тип компрессии xz (tar) или gz (pigz) 
type_arh="xz";
# - количество ядер процессора доступных для архиватора pigz
cpu_arh="2";

## email admin
adminmail="admindb@mydomen.ru";
```

Скрипт: restore_gz-pgsql.sh - восстанавливает базу из архива для postgresql

Формат должен быть такой же.
* Если возникает ошибка: "Peer's Certificate issuer is not recognized"
используейте параметр: git -c http.sslVerify=false clone ...

-----
EN:
-----
* Script in bash language, for automated backup databases.
* Supported databases: postgresql, mysql

Parameters of the script that must be adjusted.
The format should be the same.

-----
```
## the array database name
DBDATA=( "base1" "base2" );
## the array backup paths
BACKPATH=( "/backup/db" "/backup/db" );
## the array login for databases
LOGINDB=( "dblogin1" "dblogin2" );
## the array pass for databases
PASSWDB=( "mypassdb1" "mypassdb2" );
## the array type databases
TYPEDB=( "pgsql" "mysql" )
## the array hosts
HOSTDB=( "10.1.0.2" "10.1.0.7" )

## system values
## log file
LOG_FILE="/var/log/syslog.log";
# - type compress xz (tar) or gz (pigz) 
type_arh="xz";
# - core active for pigz
cpu_arh="2";

## email admin
adminmail="admindb@mydomen.ru";
```

script: restore_gz-pgsql.sh - restore backup for postgresql

* If an error occurs: "Peer's Certificate issuer is not recognized"
use the option: git -c http.sslVerify=false clone ...
